Summary:	X based image viewer for darned near all images
Name:		xv
Version:	5.0.0
Release:	%mkrel 2
License:	Shareware
Group:		Graphics/Viewers
URL:		https://github.com/jasper-software/xv
Source0:	https://github.com/jasper-software/xv/archive/v%{version}/%{name}-%{version}.tar.gz
Source2:	DISTRIBUTE.txt
Source3:	%{name}.desktop
Source6:	%{name}-16.png
Source7:	%{name}-32.png
Source8:	%{name}-48.png

BuildRequires:	cmake
BuildRequires:	pkgconfig(jasper)
BuildRequires:	pkgconfig(xproto)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xt)
BuildRequires:	pkgconfig(libtiff-4)
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(libwebp)
Requires:	ghostscript

%description
Xv is an image display and manipulation utility for the X Window
System.  Xv can display GIF, JPEG, TIFF, PBM, PPM, X11 bitmap, Utah
Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS RGB, XPM,
Targa, XWD, PostScript(TM) and PM format image files.  Xv is also
capable of image manipulation like cropping, expanding, taking
screenshots, etc.

%prep
%setup -q

# Include permission to distribute
install -m 0644 -p %{SOURCE2} .

%build
%cmake -DCMAKE_INSTALL_SYSCONFDIR:PATH=%{_sysconfdir}
%cmake_build

%install
%cmake_install

mkdir -p %{buildroot}%{_datadir}/applications
install %{SOURCE3} %{buildroot}%{_datadir}/applications

mkdir -p %{buildroot}{%_liconsdir,%_iconsdir,%_miconsdir}

install -m 644 %{SOURCE6} %{buildroot}%_miconsdir/%name.png
install -m 644 %{SOURCE7} %{buildroot}%_iconsdir/%name.png
install -m 644 %{SOURCE8} %{buildroot}%_liconsdir/%name.png

# Add DISTRIBUTE.txt to the docs directory
cp -a DISTRIBUTE.txt %{buildroot}%{_docdir}/xv/

%files
%doc %{_docdir}/xv/
%config(noreplace) %{_sysconfdir}/xv_mgcsfx
%{_bindir}/bggen
%{_bindir}/vdcomp
%{_bindir}/xcmap
%{_bindir}/xv
%{_bindir}/xvpictoppm
%{_datadir}/applications/%{name}.desktop
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%{_mandir}/man1/*
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*


%changelog
* Wed Jul 02 2025 umeabot <umeabot> 5.0.0-2.mga10
+ Revision: 2244110
- Mageia 10 Mass Rebuild

* Thu Apr 25 2024 daviddavid <daviddavid> 5.0.0-1.mga10.nonfree
+ Revision: 2060898
- new version: 5.0.0

* Sat Oct 14 2023 daviddavid <daviddavid> 4.2.0-1.mga10.nonfree
+ Revision: 1996234
- new version: 4.2.0
- enable jasper support

* Tue Dec 13 2022 eatdirt <eatdirt> 3.10a-21.mga9.nonfree
+ Revision: 1921619
- Fix build with new glib and gcc
+ ns80 <ns80>
- rebuild for new libtiff
+ umeabot <umeabot>
- Mageia 9 Mass Rebuild

* Fri Feb 21 2020 umeabot <umeabot> 3.10a-19.mga8.nonfree
+ Revision: 1548849
- Mageia 8 Mass Rebuild

* Fri Sep 21 2018 umeabot <umeabot> 3.10a-18.mga7.nonfree
+ Revision: 1292188
- Mageia 7 Mass Rebuild

* Fri Mar 02 2018 mrambo3501 <mrambo3501> 3.10a-17.mga7.nonfree
+ Revision: 1206128
- add rediffed openSUSE patch which fixes a DoS security issue (mga#22652)

* Fri Jul 07 2017 akien <akien> 3.10a-16.mga6.nonfree
+ Revision: 1109223
- Mageia 6 rebuild

* Wed Oct 15 2014 umeabot <umeabot> 3.10a-15.mga5.nonfree
+ Revision: 749765
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 3.10a-14.mga5.nonfree
+ Revision: 690796
- Mageia 5 Mass Rebuild
+ tv <tv>
- fix description (which is not the license tag)

* Thu Oct 31 2013 tmb <tmb> 3.10a-13.mga4.nonfree
+ Revision: 548564
- Mageia 4 rebuild

* Tue Jan 22 2013 fwang <fwang> 3.10a-12.mga3.nonfree
+ Revision: 390987
- bump rel
- cleanup spec
- bunzip2 the patches

* Mon Jan 14 2013 luigiwalser <luigiwalser> 3.10a-11.mga3.nonfree
+ Revision: 387985
- fix dangerous path in xv-gspatch
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 06 2012 nanardon <nanardon> 3.10a-10.mga2.nonfree
+ Revision: 205364
- Fix .desktop categories (#3607)

* Tue Jan 03 2012 pterjan <pterjan> 3.10a-8.mga2.nonfree
+ Revision: 190201
- Build against libpng12
+ fwang <fwang>
- rebuild for new libtiff

* Mon Mar 28 2011 grenoya <grenoya> 3.10a-6.mga1
+ Revision: 78471
- add BuildRequire libjpeg-devel and libpng-devel
- add BuildRequire libtiff-devel
- add BuildRequire libxt-devel
- add BuildRequire libx11-devel
- add BuildRequire
- clean old Mdv syntax
- fix compilation
- imported package xv


* Tue Apr 24 2007 Olivier Thauvin <nanardon@zarb.org> 3.10a-7plf
- xdg menu

* Sun Jan 22 2006 Olivier Thauvin <nanardon@zarb.org> 3.10a-6plf
- rebuild && %%mkrel
- gcc4 fix

* Thu Oct 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-5plf
- requires: s/gv/ghostscript/ (Thx P. Weill)

* Tue Oct 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-4plf
- Requires gv (oops)

* Tue Oct 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-3plf
- patch14: ps and ps.bz2 now supported
- patch15: tiff 1200 dpi patch
- patch16: gs run with -safer (security fix)

* Thu Sep 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-2plf
- remove pixmaps to avoid conflict with WindowsMaker

* Tue Aug 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-1plf
- 1st plf package (from pld, made itself from mdk :)
